##### Views

- Page
- Discussion
- View source
- History

# love.graphics.drawq

Removed in LÖVE 0.9.0
It has been merged into love.graphics.draw.

Draw a Quad with the specified Image on screen.

## Function

### Synopsis

love.graphics.drawq( image, quad, x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`Image image`
  An image to texture the quad with.
`Quad quad`
  The quad to draw on screen.
`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).

Available since LÖVE 0.8.0

`number kx (0)`
  Shearing factor (x-axis).
`number ky (0)`
  Shearing factor (y-axis).

### Returns

Nothing.

## Function

### Synopsis

love.graphics.drawq( canvas, quad, x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`Canvas canvas`
  A canvas to texture the quad with.
`Quad quad`
  The quad to draw on screen.
`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).

Available since LÖVE 0.8.0

`number kx (0)`
  Shearing factor (x-axis).
`number ky (0)`
  Shearing factor (y-axis).

### Returns

Nothing.

## Examples

### Draw the top half of an image (the Hamster Ball) at 100 by 100 pixels.

image = love.graphics.newImage("hamster.png")
quad = love.graphics.newQuad(0, 0, 128, 64, image:getWidth(), image:getHeight())
function love.draw()
love.graphics.drawq(image, quad, 100, 100)
end

## Changelog

Version | Description
--- | ---

0.8.0 | Added shearing factors kx and ky

## See Also

- love.graphics
- love.graphics.draw

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.graphics.drawq"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties